#!/bin/sh

BLUEZ_DIR=/var/lib/bluetooth
BACKUP_DIR=/home/user/.bluez_backup

if test -d $BACKUP_DIR; then
    rm -rf $BLUEZ_DIR
    chown -R root:root $BACKUP_DIR || exit 2
    cp -a $BACKUP_DIR $BLUEZ_DIR || exit 2
    chown -R user:users $BACKUP_DIR || exit 2
else
    exit 2
fi

MY_BDA=`cat /sys/class/bluetooth/hci0/address`

[ -z "$MY_BDA" ] && exit 2

if [ -f "$BLUEZ_DIR/bdaddr.hci0" ] ; then
        echo $MY_BDA > $BLUEZ_DIR/bdaddr.hci0
fi

CORRECT_DIR="$BLUEZ_DIR/$MY_BDA"

OLD_DIR=`find $BLUEZ_DIR -maxdepth 1 -type d \! -name "$MY_BDA" \! -name bluetooth|head -n 1`

if [ "$OLD_DIR" ]; then
	rm -rf $CORRECT_DIR
	mv $OLD_DIR $CORRECT_DIR
fi
